Vendor Credits
Create one or more Vendor Credits (max 100)
Scopes: vendor_credit:create
POST
/
v0
/
business
/
{business_id}
/
vendor-credit
Create one or more Vendor Credits (max 100)
curl --request POST \
--url https://api.sandbox.getasset.com/v0/business/{business_id}/vendor-credit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"vendor_id": "<string>",
"number": "<string>",
"amount": 100,
"memo": "<string>",
"issued_at": "2026-01-15T00:00:00Z"
}
]
'import requests
url = "https://api.sandbox.getasset.com/v0/business/{business_id}/vendor-credit"
payload = [
{
"vendor_id": "<string>",
"number": "<string>",
"amount": 100,
"memo": "<string>",
"issued_at": "2026-01-15T00:00:00Z"
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
vendor_id: '<string>',
number: '<string>',
amount: 100,
memo: '<string>',
issued_at: '2026-01-15T00:00:00Z'
}
])
};
fetch('https://api.sandbox.getasset.com/v0/business/{business_id}/vendor-credit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"business_id": "<string>",
"vendor_id": "<string>",
"number": "<string>",
"amount": 123,
"issued_at": "2023-11-07T05:31:56Z",
"journal_entry_id": "<string>",
"id": "<string>",
"voided": true,
"memo": "<string>",
"voided_at": "2023-11-07T05:31:56Z",
"created_by": "<string>"
}
]
}{
"error": "<string>",
"data": "<unknown>"
}{
"error": "<string>",
"data": "<unknown>"
}{
"error": "<string>",
"data": "<unknown>"
}{
"error": "<string>",
"data": "<unknown>"
}{
"error": "<string>",
"data": "<unknown>"
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Optional external entity identifier that performed the action
Path Parameters
Body
application/json
Maximum array length:
100The ID of the Vendor issuing the credit
Example:
"ven_ApaM9xeQtNyVk5qpaHJbNj"
The number of the vendor credit. Must be unique per business.
Maximum string length:
255Example:
"VC-001"
The amount of the vendor credit. Must be greater than zero.
Required range:
x > 0Example:
100
Description of the vendor credit
Maximum string length:
255The date and time the vendor credit was issued. Defaults to now.
Example:
"2026-01-15T00:00:00Z"
Response
Successful Response
Show child attributes
Show child attributes
⌘I
Create one or more Vendor Credits (max 100)
